Skip to content

Accounts

All operations require authentication.

6 operationsv1/email/mxplan
Agent setup

List email accountsProduction

GET
/1.0/email/mxplan/{service}/account

List email accounts. Returns the email addresses of the email accounts of the service. Filter them by primaryEmailAddress or id.

Path parameters

service
required
string

The internal name of your mxplan organization

Query parameters

id
integer

Filter the value of id property (like)

primaryEmailAddress
string

Filter the value of primaryEmailAddress property (like)

Response

200string[]successful operation

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an email accountProduction

GET
/1.0/email/mxplan/{service}/account/{email}

Get an email account. Returns the login, names, domain, state, quota and usage of the email account, its renewal and expiration settings, and its spam and virus configuration.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Response

200Accountsuccessful operation
SAMAccountName
read-only
string

SAM account name

configured
read-only
boolean

Indicates if the account is configured

creationDate
read-only
stringdate-time

Creation date

currentUsage
read-only
integer

Mailbox usage

deleteAtExpiration
boolean

delete at expiration

displayName
string

Account display name

domain
string

Email domain

expirationDate
read-only
stringdate-time

expiration date

expirationOutlookDate
read-only
stringdate-time

expiration date

firstName
string

Account first name

hiddenFromGAL
boolean

Hide account in Global Address List

id
read-only
integer

Account id

initial
string

Account initials

lastLogoffDate
read-only
stringdate-time

Last logoff

lastLogonDate
read-only
stringdate-time

Last logon

lastName
string

Account last name

lastUpdateDate
read-only
stringdate-time

Last update

login
string

Account login

mailingFilter
MailingFilterEnum[]

Enable or disable anti-virus and anti-spam

Valuesvaderetro
passwordLastUpdate
read-only
stringdate-time

Time of account's password last update

primaryEmailAddress
read-only
string

Default email for this mailbox

quota
number

Account maximum size

renewPeriod
renewPeriodEnum

change the renew period

Valuesmonthlyyearly
spamAndVirusConfiguration
spamAndVirusConfiguration

Spam and Antivirus configuration

spamDetected
read-only
boolean

Account was sending spam

spamTicketNumber
read-only
integer

Ticket number of spam detection

state
read-only
ObjectStateEnum

Account state

Valuescreatingdeletingokreopeningsuspendedsuspendingunknown
taskPendingId
read-only
integer

Pending tasks for this account

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "SAMAccountName": "string", "configured": true, "creationDate": "2024-01-01T12:00:00Z", "currentUsage": 0, "deleteAtExpiration": true, "displayName": "string", "domain": "string", "expirationDate": "2024-01-01T12:00:00Z", "expirationOutlookDate": "2024-01-01T12:00:00Z", "firstName": "string", "hiddenFromGAL": true, "id": 0, "initial": "string", "lastLogoffDate": "2024-01-01T12:00:00Z", "lastLogonDate": "2024-01-01T12:00:00Z", "lastName": "string", "lastUpdateDate": "2024-01-01T12:00:00Z", "login": "string", "mailingFilter": [ "vaderetro" ], "passwordLastUpdate": "2024-01-01T12:00:00Z", "primaryEmailAddress": "string", "quota": 0, "renewPeriod": "monthly", "spamAndVirusConfiguration": { "checkDKIM": true, "checkSPF": true, "deleteSpam": true, "deleteVirus": true, "putInJunk": true, "tagSpam": true, "tagVirus": true }, "spamDetected": true, "spamTicketNumber": 0, "state": "creating", "taskPendingId": 0}

Delete an email accountProduction

DELETE
/1.0/email/mxplan/{service}/account/{email}

Delete an email account. Deletes the email account of the MX Plan service and returns the task. Follow it under task/{id}.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Update an email accountProduction

PUT
/1.0/email/mxplan/{service}/account/{email}

Update an email account. Updates the login, names, domain, quota, renewal period, deletion at expiration, Global Address List visibility and spam and virus configuration of the email account.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Request body (required)

SAMAccountName
read-only
string

SAM account name

configured
read-only
boolean

Indicates if the account is configured

creationDate
read-only
stringdate-time

Creation date

currentUsage
read-only
integer

Mailbox usage

deleteAtExpiration
boolean

delete at expiration

displayName
string

Account display name

domain
string

Email domain

expirationDate
read-only
stringdate-time

expiration date

expirationOutlookDate
read-only
stringdate-time

expiration date

firstName
string

Account first name

hiddenFromGAL
boolean

Hide account in Global Address List

id
read-only
integer

Account id

initial
string

Account initials

lastLogoffDate
read-only
stringdate-time

Last logoff

lastLogonDate
read-only
stringdate-time

Last logon

lastName
string

Account last name

lastUpdateDate
read-only
stringdate-time

Last update

login
string

Account login

mailingFilter
MailingFilterEnum[]

Enable or disable anti-virus and anti-spam

Valuesvaderetro
passwordLastUpdate
read-only
stringdate-time

Time of account's password last update

primaryEmailAddress
read-only
string

Default email for this mailbox

quota
number

Account maximum size

renewPeriod
renewPeriodEnum

change the renew period

Valuesmonthlyyearly
spamAndVirusConfiguration
spamAndVirusConfiguration

Spam and Antivirus configuration

spamDetected
read-only
boolean

Account was sending spam

spamTicketNumber
read-only
integer

Ticket number of spam detection

state
read-only
ObjectStateEnum

Account state

Valuescreatingdeletingokreopeningsuspendedsuspendingunknown
taskPendingId
read-only
integer

Pending tasks for this account

Response

200—successful operation

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email} \
  -H "authorization: Bearer $OVH_TOKEN"

Get email account capabilitiesProduction

GET
/1.0/email/mxplan/{service}/account/{email}/capabilities

Get email account capabilities. Returns the quotas that can be set on the email account. No value means that any quota is allowed.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Response

200accountCapabilitiessuccessful operation
quotas
number[]

List of allowed quotas (no constraint if null)

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/capabilities \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "quotas": [ 0 ]}

Change an email account passwordProduction

POST
/1.0/email/mxplan/{service}/account/{email}/changePassword

Change an email account password. Sets the new password of the email account and returns the task that applies it.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Request body (required)

password
required
stringpassword

new password

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}